package ru.cdmlex.jtest;

import static ru.cdmlex.jtest.Constants.*;
import java.awt.*;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;
import java.util.ArrayList;

public class Launcher {
    public static void main(String[] args) {
		int wx = WORLD_X;
		try {
		List<String> lines = Files.readAllLines(Paths.get("size.txt"), StandardCharsets.UTF_8);
		if (lines.size() > 0)
			wx = Integer.parseInt(lines.get(0));
		}
		catch(IOException e) {

		}		
        Dimension screenSize = new Dimension(160*wx, 144*wx);

        JGame game = DesktopJGameBuilder.build(screenSize, wx);
        game.setScene(new GameOverScene(game, 0, 0));
        game.start();
    }
}
